package main

import (
	"context"

	"numenor-labs.us/dsfx/dsfx/internal/lib/disk"
	"numenor-labs.us/dsfx/dsfx/internal/lib/system"
	"numenor-labs.us/dsfx/dsfx/internal/peer"
)

func main() {
	p := peer.New(disk.Default(), system.Default())

	err := p.Run(context.Background())
	if err != nil {
		panic(err)
	}
}
