package main

import (
	"context"

	"numenor-labs.us/dsfx/dsfx/internal/client"
	"numenor-labs.us/dsfx/dsfx/internal/lib/disk"
	"numenor-labs.us/dsfx/dsfx/internal/lib/system"
)

func main() {
	c := client.New(disk.Default(), system.Default())

	err := c.Run(context.Background())
	if err != nil {
		panic(err)
	}
}
